use AutoSplit;

BEGIN{
    my $libdir = $1 || "web_diary_dir/lib";
    
    mkdir("$libdir/auto", 0755);
    for ('DateTime::Date', 'DateTime::Time',
	 'DateTime::Zone', 'DateTime::Format::Generic',
	 'TDS::Cache::Display', 'TDS::Cache::Recent',
	 'TDS::Collection'){
	my $class = $_;
	$class =~ s!::!/!g;
	autosplit("$libdir/$class.pm", "$libdir/auto");
    }
}
1;
